## Apache Zeta Components Manual :: Docs For Class ezcGraphAxisExactLabelRenderer

### Graph::ezcGraphAxisExactLabelRenderer

### Class ezcGraphAxisExactLabelRenderer

Renders axis labels like known from charts drawn in analysis

1. $chart->xAxis->axisLabelRenderer=new ezcGraphAxisExactLabelRenderer ();

Source for this file: /Graph/src/renderer/axis_label_exact.php

    ezcBaseOptions
       |
       --ezcGraphAxisLabelRenderer
          |
          --ezcGraphAxisExactLabelRenderer

Version: | //autogentag//

### Properties

bool | read/write | `$renderLastOutside` Render the last label outside of the normal axis label boundings next to the chart boundings. This may interfere with axis labels or cause small font size with a low axisSpace.
bool | read/write | `$showLastValue` Show the last value on the axis, which will be aligned different than all other values, to not interfere with the arrow head of the axis.

### Inherited Member Variables

From ezcGraphAxisLabelRenderer
protected | `ezcGraphAxisLabelRenderer::$driver`
From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `renderLabels( $renderer , $boundings , $start , $end , $axis , [ $innerBoundings = null] )` Render Axis labels

### Inherited Methods

From ezcGraphAxisLabelRenderer
public mixed | `ezcGraphAxisLabelRenderer::determineLineCuttingPoint()` Checks for the cutting point of two lines.
protected void | `ezcGraphAxisLabelRenderer::drawGrid()` Draw grid
protected void | `ezcGraphAxisLabelRenderer::drawNonRectangularGrid()` Draw non-rectangular grid lines grid
protected void | `ezcGraphAxisLabelRenderer::drawRectangularGrid()` Draw rectangular grid
public void | `ezcGraphAxisLabelRenderer::drawStep()` Draw single step on a axis
protected array | `ezcGraphAxisLabelRenderer::getAxisSpace()` Get axis space values
public ezcGraphBoundings | `ezcGraphAxisLabelRenderer::modifyChartBoundings()` Modify chart boundings
public ezcGraphCoordinate | `ezcGraphAxisLabelRenderer::modifyChartDataPosition()` Modify chart data position
public abstract void | `ezcGraphAxisLabelRenderer::renderLabels()` Render Axis labels
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### renderLabels

void renderLabels( ezcGraphRenderer $renderer , $boundings , ezcGraphCoordinate $start , ezcGraphCoordinate $end , ezcGraphChartElementAxis $axis , [ $innerBoundings = null] )

Render Axis labels

Render labels for an axis.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$renderer` | ezcGraphRenderer | Renderer used to draw the chart
`$boundings` | ezcGraphBoundings | Boundings of the axis
`$start` | ezcGraphCoordinate | Axis starting point
`$end` | ezcGraphCoordinate | Axis ending point
`$axis` | ezcGraphChartElementAxis | Axis instance
`$innerBoundings` | ezcGraphBoundings |

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphAxisLabelRenderer::renderLabels()` | Render Axis labels

Documentation generated by phpDocumentor 1.4.3